<?php
class memberAction extends baseAction {
    public function member_list(){
		$data = D('pages');
		$map = " 1=1 ";
		$order = ' order by addtime desc,id desc ';
		$result = $data->member_page(25,$map,$order);
		// print_r($result);
		$this->assign('list',$result['list']);
		$this->assign('page',$result['page']);
		$this->display('member_list');
	}
	public function comment_list(){
		$data = D('pages');
		$map = " 1=1 ";
		$order = ' order by a.id desc ';
		$result = $data->comment_page(25,$map,$order);
		// print_r($result);
		$this->assign('list',$result['list']);
		$this->assign('page',$result['page']);
		$this->display('comment_list');
	}
	public function content_comment_delete(){
		if(I('id')) {
			$Data = D('content_comment');
			if($Data->where("id='". I('id') ."'")->delete()){
				$this->success('删除成功');
			}else{
				$this->error('删除失败');
			}
		}
	}
	public function content_comment_update(){
		if(I('all_check')) {
			$Data = D('content_comment');
			$where['id'] = array('in',I('all_check'));
			if($Data->where($where)->delete()){
				$this->success('删除成功');
			}else{
				$this->error('删除失败');
			}
		}else{
			$this->error('参数错误');
		}
	}
	public function member_group(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_add(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_insert(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_edit(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_update(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_delete(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_group_delete_all(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_add(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_insert(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_edit(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_update(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_delete(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
	public function member_member_delete_all(){
		$this->show('该版本为试用版本，正版版本请联系QQ：245500339');
	}
}